/// <reference types="webmidi" />
import { Provider } from '@angular/core';
import MIDIAccess = WebMidi.MIDIAccess;
import MIDIInput = WebMidi.MIDIInput;
/**
 * Provide MIDIInput by id
 *
 * @param id
 */
export declare function inputById(id: string): Provider[];
/**
 * @deprecated View Engine legacy
 * TODO: use arrow function for `useFactory` and delete this exported function in future major release
 */
export declare function inputByIdFactory(midiAccess: Promise<MIDIAccess>, id: string): Promise<MIDIInput | undefined>;
