/// <reference types="webmidi" />
import { Provider } from '@angular/core';
import MIDIAccess = WebMidi.MIDIAccess;
import MIDIInput = WebMidi.MIDIInput;
/**
 * Provide MIDIInput by name
 *
 * @param name
 */
export declare function inputByName(name: string): Provider[];
/**
 * @deprecated View Engine legacy
 * TODO: use arrow function for `useFactory` and delete this exported function in future major release
 */
export declare function inputByNameFactory(midiAccess: Promise<MIDIAccess>, name: string): Promise<MIDIInput | undefined>;
