/// <reference types="webmidi" />
import { Provider } from '@angular/core';
import MIDIAccess = WebMidi.MIDIAccess;
import MIDIOutput = WebMidi.MIDIOutput;
/**
 * Provide MIDIOutput by name
 *
 * @param name
 */
export declare function outputByName(name: string): Provider[];
/**
 * @deprecated View Engine legacy
 * TODO: use arrow function for `useFactory` and delete this exported function in future major release
 */
export declare function outputByNameFactory(midiAccess: Promise<MIDIAccess>, name: string): Promise<MIDIOutput | undefined>;
