/// <reference types="webmidi" />
import { Provider } from '@angular/core';
import MIDIAccess = WebMidi.MIDIAccess;
import MIDIOutput = WebMidi.MIDIOutput;
/**
 * Provide MIDIOutput by id
 *
 * @param id
 */
export declare function outputById(id: string): Provider[];
/**
 * @deprecated View Engine legacy
 * TODO: use arrow function for `useFactory` and delete this exported function in future major release
 */
export declare function outputByIdFactory(midiAccess: Promise<MIDIAccess>, id: string): Promise<MIDIOutput | undefined>;
